package org.yacos.web.chairman.form;

import java.util.Date;

public class FormConference {

	private Integer id;
	private String title;
	private String description;
	private String otherInformations;
	
	private String dateArticle;
	private Date dateArticleParsed;
	private String dateEvaluation;
	private Date dateEvaluationParsed;
	private String dateStart;
	private Date dateStartParsed;
	private String dateEnd;
	private Date dateEndParsed;
	
	private String pageNumber;
	private Integer pageNumberChecked;
	private boolean typePDF;
	private boolean typeLatec;
	private boolean typeWord;
	private boolean typeODT;	
	private String sendInfo;
	
	private Integer conferenceId;
	
	private String myfilter;
	
	public FormConference () {}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getOtherInformations() {
		return otherInformations;
	}

	public void setOtherInformations(String otherInformations) {
		this.otherInformations = otherInformations;
	}

	public String getSendInfo() {
		return sendInfo;
	}

	public void setSendInfo(String sendInfo) {
		this.sendInfo = sendInfo;
	}

	public String getDateArticle() {
		return dateArticle;
	}

	public void setDateArticle(String dateArticle) {
		this.dateArticle = dateArticle;
	}

	public String getDateEvaluation() {
		return dateEvaluation;
	}

	public void setDateEvaluation(String dateEvaluation) {
		this.dateEvaluation = dateEvaluation;
	}

	public String getDateStart() {
		return dateStart;
	}

	public void setDateStart(String dateStart) {
		this.dateStart = dateStart;
	}

	public String getDateEnd() {
		return dateEnd;
	}

	public void setDateEnd(String dateEnd) {
		this.dateEnd = dateEnd;
	}

	/**
	 * @return the dateArticleParsed
	 */
	public Date getDateArticleParsed() {
		return dateArticleParsed;
	}

	/**
	 * @param dateArticleParsed the dateArticleParsed to set
	 */
	public void setDateArticleParsed(Date dateArticleParsed) {
		this.dateArticleParsed = dateArticleParsed;
	}

	/**
	 * @return the dateEvaluationParsed
	 */
	public Date getDateEvaluationParsed() {
		return dateEvaluationParsed;
	}

	/**
	 * @param dateEvaluationParsed the dateEvaluationParsed to set
	 */
	public void setDateEvaluationParsed(Date dateEvaluationParsed) {
		this.dateEvaluationParsed = dateEvaluationParsed;
	}

	/**
	 * @return the dateStartParsed
	 */
	public Date getDateStartParsed() {
		return dateStartParsed;
	}

	/**
	 * @param dateStartParsed the dateStartParsed to set
	 */
	public void setDateStartParsed(Date dateStartParsed) {
		this.dateStartParsed = dateStartParsed;
	}

	/**
	 * @return the dateEndParsed
	 */
	public Date getDateEndParsed() {
		return dateEndParsed;
	}

	/**
	 * @param dateEndParsed the dateEndParsed to set
	 */
	public void setDateEndParsed(Date dateEndParsed) {
		this.dateEndParsed = dateEndParsed;
	}
	
	public void setConferenceId(Integer conferenceId) {
		this.conferenceId = conferenceId;
	}
	
	public Integer getConferenceId() {
		return conferenceId;
	}

	public String getMyfilter() {
		return myfilter;
	}

	public void setMyfilter(String myfilter) {
		this.myfilter = myfilter;
	}

	public boolean isTypePDF() {
		return typePDF;
	}

	public void setTypePDF(boolean typePDF) {
		this.typePDF = typePDF;
	}

	public boolean isTypeLatec() {
		return typeLatec;
	}

	public void setTypeLatec(boolean typeLatec) {
		this.typeLatec = typeLatec;
	}

	public boolean isTypeWord() {
		return typeWord;
	}

	public void setTypeWord(boolean typeWord) {
		this.typeWord = typeWord;
	}

	public boolean isTypeODT() {
		return typeODT;
	}

	public void setTypeODT(boolean typeODT) {
		this.typeODT = typeODT;
	}

	public String getPageNumber() {
		return pageNumber;
	}

	public void setPageNumber(String pageNumber) {
		this.pageNumber = pageNumber;
	}

	public Integer getPageNumberChecked() {
		return pageNumberChecked;
	}

	public void setPageNumberChecked(Integer pageNumberChecked) {
		this.pageNumberChecked = pageNumberChecked;
	}
}
